Skip to main content
GET
/
v1
/
sequence-templates
/
{sequence_template_id}
Get Sequence Template
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topo.io/v1/sequence-templates/{sequence_template_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "summary": "<string>",
  "step_count": 123,
  "language": "<string>",
  "timezone": "<string>",
  "activated_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings โ†’ Developers.

Path Parameters

sequence_template_id
string<uuid>
required

ID of the sequence template.

Response

200 - application/json

Successful Response

id
string<uuid>
required

Unique identifier.

name
string | null
required

Name of the template.

summary
string | null
required

Short description of what the template is for.

status
enum<string>
required

Lifecycle state.

Available options:
PENDING_SETUP,
ACTIVE,
INACTIVE,
FINISHING,
ARCHIVED
step_count
integer
required

Number of steps configured on the template.

language
string | null
required

BCP-47 language tag the template was authored in.

timezone
string
required

IANA timezone the template's send-window rules are evaluated in.

activated_at
string<date-time> | null
required

When the template was first activated.

created_at
string<date-time>
required

When the template was created.

updated_at
string<date-time>
required

When the template last changed.